#!/bin/sh

VAR_LOG_DIR="/home/prod/compose/logs"
VAR_LOG_FILE="docker-compose-starter.log"

logInfo(){
     echo "--[`date "+%Y/%m/%d %H:%M:%S"`] -- INFO -- $@" >> ${VAR_LOG_DIR}/${VAR_LOG_FILE};
}

logError(){
     echo "--[`date "+%Y/%m/%d %H:%M:%S"`] -- ERROR -- $@" >> ${VAR_LOG_DIR}/${VAR_LOG_FILE};
}

PROD_HOME_PATH_COMPOSE="/home/prod/compose"
KEEP_UP_LIST_FILE="$PROD_HOME_PATH_COMPOSE/keep-up-list.txt"

for i in $(cat $KEEP_UP_LIST_FILE); do
        cd $PROD_HOME_PATH_COMPOSE/$i
        logInfo "'$i' is now starting..."
        docker compose up -d >> ${VAR_LOG_DIR}/${i}.log 2>&1
done
